describe('AgencyWorkCenter', () => {
    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('developer');
        cy.visit(`/#/agency/11/workCenter`);
    });
    const createButton = '.q-page-sticky > div > .q-btn > .q-btn__content > .q-icon';
    const workCenterCombobox = 'input[role="combobox"]';

    it('assign workCenter', () => {
        cy.get(createButton).click();
        cy.get(workCenterCombobox).type('workCenterOne{enter}');
        cy.get('.q-notification__message').should('have.text', 'Data created');
    });

    it('delete workCenter', () => {
        cy.get('.q-item__section--side > .q-btn > .q-btn__content > .q-icon').click();
        cy.get('.q-notification__message').should(
            'have.text',
            'WorkCenter removed successfully'
        );
    });

    it('error on duplicate workCenter', () => {
        cy.get(createButton).click();
        cy.get(workCenterCombobox).type('workCenterOne{enter}');
        cy.get('.q-notification__message').should('have.text', 'Data created');
        cy.get(createButton).click();
        cy.get(
            '.vn-row > .q-field > .q-field__inner > .q-field__control > .q-field__control-container'
        ).type('workCenterOne{enter}');

        cy.get(
            ':nth-child(2) > .q-notification__wrapper > .q-notification__content > .q-notification__message'
        ).should('have.text', 'This workCenter is already assigned to this agency');
    });
});
